Re: cross-compiling on OS X, make menuconfig fails
- From: "SL Baur" <steve@xxxxxxxxxx>
- Date: Fri, 2 May 2008 23:55:03 -0700
On 4/29/08, Sam Ravnborg <sam@xxxxxxxxxxxx> wrote:
> Good grief, folks...
Thanks Al.
I've queued up the following patch.
Sam
commit c99cc32e0d92f5fdbdd39a7f42cfff869062fff5
Author: Sam Ravnborg <sam@xxxxxxxxxxxxxxxxxxx>
Date: Tue Apr 29 20:02:44 2008 +0200
kconfig: made check-lxdialog more portable
OS-X shell did not like 'echo -e' so implement
suggestion from Al Viro to use a more portable construct.
Signed-off-by: Sam Ravnborg <sam@xxxxxxxxxxxx>
Cc: Al Viro <viro@xxxxxxxxxxxxxxxxxx>
diff --git a/scripts/kconfig/lxdialog/check-lxdialog.sh b/scripts/kconfig/lxdialog/check-lxdialog.sh
index 62e1e02..5552154 100644
--- a/scripts/kconfig/lxdialog/check-lxdialog.sh
+++ b/scripts/kconfig/lxdialog/check-lxdialog.sh
@@ -36,8 +36,10 @@ trap "rm -f $tmp" 0 1 2 3 15
# Check if we can link to ncurses
check() {
- echo -e " #include CURSES_LOC \n main() {}" |
- $cc -xc - -o $tmp 2> /dev/null
+ $cc -xc - -o $tmp 2>/dev/null <<'EOF'
+#include CURSES_LOC
+main() {}
+EOF
if [ $? != 0 ]; then
echo " *** Unable to find the ncurses libraries or the" 1>&2
echo " *** required header files." 1>&2
This looks O.K. As a note, whatever behavior is being described here
is system dependent, because on my installation of that other OS, `echo -e'
works fine whether it is invoked as /bin/bash or /bin/sh which appears to be
a strict copy of /bin/bash.
$ uname -v
Darwin Kernel Version 8.11.1: Wed Oct 10 18:23:28 PDT 2007;
root:xnu792.25.20~1/RELEASE_I386
Reviewed-by: SL Baur <steve@xxxxxxxxxx>
-sb
--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@xxxxxxxxxxxxxxx
More majordomo info at http://vger.kernel.org/majordomo-info.html
Please read the FAQ at http://www.tux.org/lkml/
- Follow-Ups:
- Re: cross-compiling on OS X, make menuconfig fails
- From: Roland Kuhn
- Re: cross-compiling on OS X, make menuconfig fails
- From: Sam Ravnborg
- Re: cross-compiling on OS X, make menuconfig fails
- Prev by Date: Re: Strange linux-next build error
- Next by Date: Re: LogFS merge
- Previous by thread: linux-next: Requirements and process
- Next by thread: Re: cross-compiling on OS X, make menuconfig fails
- Index(es):
Relevant Pages
|